<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.HT_MAST"
        android:usesCleartextTraffic="true"
        tools:targetApi="31">
        <activity
            android:name=".OutboutManualRecheck_Activity"
            android:exported="false" />
        <activity
            android:name=".OutboundDetail_Activity"
            android:exported="false" />
        <activity
            android:name=".StocktakingLabel_Activity"
            android:exported="false" />
        <activity
            android:name=".RePrintLabel_Activity"
            android:exported="false" />
        <activity
            android:name=".ChangeLocation_Activity"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".StockCheck_Activity"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".Photomatching"
            android:exported="false" />
        <activity
            android:name=".LabelSchedule_Activity"
            android:exported="false" />
        <activity
            android:name=".InboundMenu_Activity"
            android:exported="false" />
        <activity
            android:name=".InboundDetail_Activity"
            android:exported="false" />
        <activity
            android:name=".LabelManualMenu_Activity"
            android:exported="false" />
        <activity
            android:name=".LabelDetail_Activity"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".InboundSchedule_Activity"
            android:exported="false" />
        <activity
            android:name=".StockMenu_Activity"
            android:exported="false" />
        <activity
            android:name=".OutbountMenu_Activity"
            android:exported="false" />
        <activity
            android:name=".PrinterSetting_Activity"
            android:exported="false" />
        <activity
            android:name=".OutboundSchedule_Activity"
            android:exported="false" />
        <activity
            android:name=".QCCheck_Activity"
            android:exported="false" />
        <activity
            android:name=".QCSchedule_Activity"
            android:exported="false" />
        <activity
            android:name=".QCMenu_Activity"
            android:exported="false" />
        <activity
            android:name=".InboundMenuDPP_Activity"
            android:exported="false" />
        <activity
            android:name=".InventoryMenu_Activity"
            android:exported="false" />
        <activity
            android:name=".TranferInProcess_Activity"
            android:exported="false" />

        <activity
            android:name=".NGManual_Activity"
            android:exported="false" />
        <activity
            android:name=".Login_Activity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".Setting_Activity"
            android:exported="false"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.CREATE_DOCUMENT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainMenu_Activity"
            android:exported="false" />
    </application>

</manifest>